Subject: bug#44506: 28.0.50; Segfault on opening a particular message in Gnus in terminal/tty

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Nov 2020 16:56:37 +0200

> From: Eric Abrahamsen <[email-masked]>
> Cc: Amin Bandali <[email-masked]>,  [email-masked]
> Date: Sat, 07 Nov 2020 20:03:14 -0800
> 
> >> After some bisecting of my config files, I narrowed the segaulting of
> >> Gnus when opening that message down to inclusion of (require 'ebdb-gnus)
> >> in my configs.  ebdb-gnus is part of EBDB, available on GNU ELPA.  I'm
> >> Cc'ing Eric, EBDB's creator and maintainer, in case he might have any
> >> ideas.
> >
> > I don't see anything in EBDB that could cause Emacs to use static
> > compositions, but maybe I'm missing something.
> 
> FWIW I was able to reproduce the segfault in terminal (not in GUI).

Half the kingdom for a reproduction recipe that doesn't need Gnus or
EBDB, or at least starts with "emacs -Q" and loads whatever packages
are needed as part of the recipe.

> I don't know what static compositions are, but the places where EBDB
> messes with lower-level character stuff are pasted below. As you can
> see it's pretty ad-hoc stuff.

I don't think I see the relevance, not yet.  The crash happened during
routine redisplay, and ebdb-search, which is the consumer of
ebdb-char-fold-table, is nowhere on the crash backtrace.

So I still think a backtrace from an unoptimized build, where I can
see the exact locus of the crash and ask for values of some variables,
would be the fastest path to finding the culprit.

Thanks.